import { StateNode } from 'tldraw'
import { PolylinieIdle } from './PolylinieIdle'
import { PolylinieDrawing } from './PolylinieDrawing'

/** Custom Tool zum Zeichnen von Polylinien. */
export class PolylinieTool extends StateNode {
  static override id = 'polylinie'
  static override initial = 'idle'
  static override children() {
    return [PolylinieIdle, PolylinieDrawing]
  }
}
